/***************************************************************************************************************:')

U3Config.h

Main functions for the Labjack U3 handling.

Emilie Jude
Nassima Bouchelit
Fabrice Le Bars
Some functions and parts of functions are from the file ue9.c and the examples provided by www.labjack.com

2006-2007

Version 1.0.0

***************************************************************************************************************:)*/

#ifndef _U3CONFIG_H
#define _U3CONFIG_H


// C RunTime Header Files
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <malloc.h>
#include <memory.h>
#include <tchar.h>

// Windows Header Files
#include <windows.h>

// Windows Labjack header
#include "LabJackUD.h"


int U3Open(LJ_HANDLE* pHandle);
int U3Reset(LJ_HANDLE lngHandle);
int U3ConfigTimers(LJ_HANDLE lngHandle, int timer_clock_divisor, int timer_duty_cycle);
int U3GetTemperature(LJ_HANDLE lngHandle, double* pTemperature);
int U3GetVoltage(LJ_HANDLE lngHandle, long Channel, double* pVoltage);
int U3SetVoltage(LJ_HANDLE lngHandle, long Channel, double voltage);
int U3Close(LJ_HANDLE* pHandle);


#endif // _U3CONFIG_H
